"""updated post model

Revision ID: 6ad2de4e9d4c
Revises: c99604e89721
Create Date: 2021-11-04 02:25:56.114952

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6ad2de4e9d4c'
down_revision = 'c99604e89721'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('posts', sa.Column('content', sa.String(length=1000), nullable=True))
    op.add_column('posts', sa.Column('created_at', sa.DateTime(), nullable=True))
    op.drop_column('posts', 'text')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('posts', sa.Column('text', sa.VARCHAR(length=1000), autoincrement=False, nullable=True))
    op.drop_column('posts', 'created_at')
    op.drop_column('posts', 'content')
    # ### end Alembic commands ###
